Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-63350

SAML plugin upgrade pac4j to latest possible version

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Component/s: saml-plugin
    • Labels:
      None
    • Similar Issues:
    • Released As:
      saml-2.0.0

      Description

      The Spring version on the core will be bumped this allows to upgrade pac4j to latest versions, I am going to rework this PR https://github.com/jenkinsci/saml-plugin/pull/68
      https://github.com/jenkinsci/jenkins/pull/4848

        Attachments

          Issue Links

            Activity

            ifernandezcalvo Ivan Fernandez Calvo created issue -
            ifernandezcalvo Ivan Fernandez Calvo made changes -
            Field Original Value New Value
            Status Open [ 1 ] In Progress [ 3 ]
            ifernandezcalvo Ivan Fernandez Calvo made changes -
            Description 20 Days ago the Spring version on the core was bumped this allows to upgrade pac4j to latest versions, I am going to rework this PR https://github.com/jenkinsci/saml-plugin/pull/68 The Spring version on the core will be bumped this allows to upgrade pac4j to latest versions, I am going to rework this PR https://github.com/jenkinsci/saml-plugin/pull/68
            https://github.com/jenkinsci/jenkins/pull/4848
            ifernandezcalvo Ivan Fernandez Calvo made changes -
            Link This issue depends on JENKINS-5303 [ JENKINS-5303 ]
            ifernandezcalvo Ivan Fernandez Calvo made changes -
            Summary Upgrade pac4j to 4.0.3 SAML plugin upgrade pac4j to 4.0.3
            Hide
            ifernandezcalvo Ivan Fernandez Calvo added a comment -

            pac4j 4.0.3 required JDK 11 so let's try 3.8

            Show
            ifernandezcalvo Ivan Fernandez Calvo added a comment - pac4j 4.0.3 required JDK 11 so let's try 3.8
            ifernandezcalvo Ivan Fernandez Calvo made changes -
            Summary SAML plugin upgrade pac4j to 4.0.3 SAML plugin upgrade pac4j to latest possible version
            ifernandezcalvo Ivan Fernandez Calvo made changes -
            Link This issue is blocked by INFRA-2809 [ INFRA-2809 ]
            ifernandezcalvo Ivan Fernandez Calvo made changes -
            Status In Progress [ 3 ] In Review [ 10005 ]
            jglick Jesse Glick made changes -
            Resolution Fixed [ 1 ]
            Status In Review [ 10005 ] Fixed but Unreleased [ 10203 ]
            ifernandezcalvo Ivan Fernandez Calvo made changes -
            Released As saml-2.0.0
            Status Fixed but Unreleased [ 10203 ] Resolved [ 5 ]

              People

              Assignee:
              ifernandezcalvo Ivan Fernandez Calvo
              Reporter:
              ifernandezcalvo Ivan Fernandez Calvo
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: